Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.core.internal
Class EMFStoreProjectWrapper

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.core.internal.EMFStoreProjectWrapper

All Implemented Interfaces:
  ECPCheckoutSource, ECPProviderAware, ECPRepositoryAware

    public class EMFStoreProjectWrapper

extends Object
implements ECPCheckoutSource

This is the EMFStore implementation of a `ECPCheckoutSource`.

Author:
  Eugen Neufeld

Constructor Summary
`EMFStoreProjectWrapper(InternalRepository repository, org.eclipse.emf.emfstore.client.ESRemoteProject remoteProject)` The Constructor fro creating an `EMFStoreProjectWrapper`.

Method Summary
`void` | `checkout(String projectName, ECPProperties projectProperties)` This method is called in order execute the checkout.
`org.eclipse.emf.emfstore.client.ESRemoteProject` | `getCheckoutData()` This return the `ESRemoteProject` used in this wrapper.
`String` | `getDefaultCheckoutName()` This return the default name for a project that was checked out.
`ECPProvider` | `getProvider()` The Provider this class references in any way.
`ECPRepository` | `getRepository()` This returns the `ECPRepository` this object references in any way.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFStoreProjectWrapper

    public EMFStoreProjectWrapper(InternalRepository repository,
                                  org.eclipse.emf.emfstore.client.ESRemoteProject remoteProject)

  The Constructor fro creating an `EMFStoreProjectWrapper`.

  Parameters:
    `repository` - the repository for this CheckoutSource
    `remoteProject` - the remote project to be checked out

Method Detail

### getRepository

    public ECPRepository getRepository()

  This returns the `ECPRepository` this object references in any way.

  Specified by:
    `getRepository` in interface `ECPRepositoryAware`
  Returns:
    the known `ECPRepository`

### getProvider

    public ECPProvider getProvider()

  The Provider this class references in any way.

  Specified by:
    `getProvider` in interface `ECPProviderAware`
  Returns:
    the known `ECPProvider`

### getDefaultCheckoutName

    public String getDefaultCheckoutName()

  This return the default name for a project that was checked out.

  Specified by:
    `getDefaultCheckoutName` in interface `ECPCheckoutSource`
  Returns:
    the default name

### checkout

    public void checkout(String projectName,
                         ECPProperties projectProperties)
                  throws ECPProjectWithNameExistsException

  This method is called in order execute the checkout.

  Specified by:
    `checkout` in interface `ECPCheckoutSource`
  Parameters:
    `projectName` - the name of the project to create
    `projectProperties` - the `ECPProperties` to use
  Throws:
    `ECPProjectWithNameExistsException` - is thrown when a project with such a name already exists

### getCheckoutData

    public org.eclipse.emf.emfstore.client.ESRemoteProject getCheckoutData()

  This return the `ESRemoteProject` used in this wrapper.

  Returns:
    the `ESRemoteProject` used

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.